package com.yc.education.service.impl;

import com.github.pagehelper.PageHelper;
import com.yc.education.mapper.MienMapper;
import com.yc.education.model.Mien;
import com.yc.education.service.MienService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * huangpan
 * 2019/9/26
 * energy
 */
@Service
public class MienServiceImpl extends  BaseService<Mien> implements MienService {
    @Autowired
    MienMapper mienMapper;

    @Override
    public List<Mien> getMien() {
        return mienMapper.getMien();
    }

    @Override
    public Mien getMienId(Integer id) {
        return mienMapper.getMienId(id);
    }

    @Override
    public void deleteMienId(Integer id) {
       mienMapper.deleteByPrimaryKey(id);
    }

    @Override
    public List<Mien> selectByExamplex() {
        return mienMapper.selectByExamplex();
    }

    @Override
    public List<Mien> getMienPage(Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        return mienMapper.getMien();
    }

    @Override
    public Mien getShengh() {
        return mienMapper.getShengh();
    }
}
